pc01/pc01/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('votacion/', include('votacion.urls')),
    path('admin/', admin.site.urls),
]

pc01/votacion/urls.py
from django.urls import path
from . import views

app_name = 'votacion'

urlpatterns = [
    #ex: /encuesta/
    path('', views.index, name='index'),
    #ex: /encuesta/5/
    path('<int:region_id>/', views.detalle, name='detalle'),
    #ex: /encuesta/5/resultados/
    path('<int:region_id>/resultados/', views.resultados, name='resultados'),
    #ex: /encuesta/5/voto/
    path('<int:region_id>/voto/', views.votar, name='votar'),
]

pc01/votacion/models.py
from django.db import models
# Create your models here.

class Region(models.Model):
    region_texto = models.CharField(max_length=200)
    
class Candidato(models.Model):
    region = models.ForeignKey(Region, on_delete=models.CASCADE)
    candidato_texto = models.CharField(max_length=200)
    votos = models.IntegerField(default=0)
    

pc01/votacion/views.py
from django.http import HttpResponse, HttpResponseRedirect
from django.shortcuts import get_object_or_404, render
from django.urls import reverse

from .models import Candidato, Region

def index(request):
    latest_question_list = Region.objects.order_by('region_texto')[:5]
    context = {'latest_question_list': latest_question_list}
    return render(request, 'votacion/index.html', context)

def detalle(request, region_id):
    region = get_object_or_404(Region, pk=region_id)
    return render(request, 'votacion/detalle.html', {'region': region})

def votar(request, region_id):
    region = get_object_or_404(Region, pk=region_id)
    try:
        selected_candidato = region.candidato_set.get(pk=request.POST['candidato'])
    except (KeyError, Candidato.DoesNotExist):
        return render(request, 'votacion/detalle.html', {
            'region': region,
            'error_message': "No has seleccionado una opcion.",
        })
    else:
        selected_candidato.votos += 1
        selected_candidato.save()
        return HttpResponseRedirect(reverse('votacion:resultados', args=(region.id,)))

def resultados(request, region_id):
    region = get_object_or_404(Region, pk=region_id)
    return render(request, 'votacion/resultados.html', {'region': region})

pc01/votacion/templates/votacion/detalle.html
<h1>{{ region.region_texto }}</h1>

{% if error_message %}<p><strong>{{ error_message }}</strong></p>{% endif %}

<form action="{% url 'votacion:votar' region.id %}" method="post">
{% csrf_token %}
{% for candidato in region.candidato_set.all %}
    <input type="radio" name="candidato" id="candidato{{ forloop.counter }}" value="{{ candidato.id }}">
    <label for="candidato{{ forloop.counter }}">{{ candidato.candidato_texto }}</label><br>
{% endfor %}
<input type="submit" value="Votar">
</form>
<br>
<a href="{% url 'votacion:index' %}">Ver regiones</a>

pc01/votacion/templates/votacion/index.html
<h1>Votacion De Elecciones Regionales</h1>

{% if latest_question_list %}
    <ul>
    {% for region in latest_question_list %}
        <li>
            <a href="/votacion/{{ region.id }}/">{{ region.region_texto }}</a>
        </li>
    {% endfor %}
    </ul>
{% else %}
    <p>No hay registros.</p>
{% endif %}

pc01/votacion/templates/votacion/resultados.html
<h1>{{ region.region_texto }}</h1>

<ul>
{% for candidato in region.candidato_set.all %}
    <li>{{ candidato.candidato_texto }} -- {{ candidato.votos }} voto{{ candidato.votos|pluralize }}</li>
{% endfor %}
</ul>

<a href="{% url 'votacion:index'%}">Volver a regiones</a>